Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690223 - "glance-cache-manage" command is not working [NEEDINFO]
Summary: "glance-cache-manage" command is not working
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Cyril Roelandt
QA Contact: Mike Abrams
Tana
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 04:22 UTC by Khomesh Thakre
Modified: 2019-04-15 16:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
lmarsh: needinfo? (cyril)


Attachments (Terms of Use)

Description Khomesh Thakre 2019-03-19 04:22:55 UTC
Description of problem:
Whenever I hit a "glance-cache-manage" command it failed with below error

~~~
# glance-cache-manage delete-cached-image a0c3e151-d827-434b-a84d-d132fb9b8012
Delete cached image a0c3e151-d827-434b-a84d-d132fb9b8012? [y/N] y
Failed to delete the specified cached image. Got error:
[Errno 111] Connection refused


# glance-cache-manage list-cached
Failed to show cached images. Got error:
[Errno 111] Connection refused
~~~


Version-Release number of selected component (if applicable):
Red Hat OpenStack Platform 10 (Newton)

Comment 4 Cyril Roelandt 2019-03-22 03:22:38 UTC
Hm, I don't really get it. The auth_url is set to "http://192.168.24.9:35357" but glance-cache-manage tries to reach "http://10.0.0.103:5000". Maybe I don't understand how this is supposed to work :/

Could you find out on what IP/port Keystone is reachable, and do:

$ OS_AUTH_URL=http://<IP>:<PORT> glance-cache-manage list-cached -d



I'll try to talk to Abhishek and see if he has more info on this.

Comment 6 Cyril Roelandt 2019-03-27 15:02:31 UTC
This error:

> glance.common.exception.AuthUrlNotFound: Auth service at URL https://172.27.32.210:13000/v3/tokens not found.

means "I could not contact Keystone".

So my question was "how are you supposed to reach Keystone?". Like, what IP/port should be used.

I then wanted to give this information to Glance through the OS_AUTH_URL environment variable.

Comment 7 Cyril Roelandt 2019-03-27 15:21:01 UTC
Oh OK, I missed:

> [root@controller ~]# source overcloudrc.v3 

and obviously, OS_AUTH_URL is defined in overcloudrc.v3.

Comment 8 Cyril Roelandt 2019-03-27 15:33:04 UTC
Oh, it just hit me.

> File "/usr/lib/python2.7/site-packages/glance/common/auth.py", line 184, in _v1_auth

We are using v1 auth even though you seem to be using Keystone v3. This is because Keystone v1 is the fallback, since Keystone v3 is not supported in glance in OSP10.

Can't you use Keystone v1 or v2?

Comment 12 Cyril Roelandt 2019-03-28 10:58:43 UTC
Was Keystone v3 part of the deployment, or did the user manually move from v2.0 to v3?

Comment 16 Cyril Roelandt 2019-04-04 14:51:09 UTC
So, should we update the documentation somewhere?

Comment 17 Abhishek Kekane 2019-04-08 04:57:46 UTC
(In reply to Cyril Roelandt from comment #16)
> So, should we update the documentation somewhere?

Yes, I have updated the upstream documentation and backported the same to stable/stein branch.
We should add below note in our RDO documentation:

* In Glance, image cache is local to each node, hence image cache management
  must be performed on each node locally. If OpenStack cloud is deployed with
  HA (3/5/7 controllers) then while running the cache management it is
  necessary to specify the HOST address using -H option.
  Example usage::

   $ glance-cache-manage --host=<HOST> list-cached

Comment 18 Cyril Roelandt 2019-04-09 15:57:50 UTC
@Laura: Do you know how to update our RDO documentation, with regards to #17?


Note You need to log in before you can comment on or make changes to this bug.